This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 51297 - Versioned Requires: needed in .spec file for initscripts
Versioned Requires: needed in .spec file for initscripts
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: sendmail (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-09 00:33 EDT by R P Herrold
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 00:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-08-09 00:33:18 EDT
The install does not detect the movement of 'helper' functions at RH 7.0 in
initscripts; the initscript version at RH 7.0 initial was:  5.49-1

[root@clone mail]# service sendmail stop
/etc/rc.d/init.d/sendmail: /etc/init.d/functions: No such file or directory
Shutting down sendmail: /etc/rc.d/init.d/sendmail: killproc: command not
found

[root@clone mail]# service sendmail start
/etc/rc.d/init.d/sendmail: /etc/init.d/functions: No such file or directory
/etc/rc.d/init.d/sendmail: daemon: command not found

[root@clone mail]# rpm -q sendmail
sendmail-8.11.4-6
[root@clone mail]# cat /etc/redhat-release
Red Hat Linux release 6.1 (Cartman)

=====================================

See the JBJ discussion of this type of addition to the .spec file as a
matter of software engineering at:
/usr/share/doc/rpm-4.0.2/builddependencies

====================================

Proposed fix:

Add to .spec file:

Requires: initscripts >= 5.49-1

and it is compliant
Comment 1 Florian La Roche 2001-08-09 07:12:03 EDT
I changed the init script back to previous versions, so I don't have to
add this requirement.

Fixed in release 8.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.